@echo OFF
rem  * ************************************************************************
rem  *                 ALER80E2.CMD - a Windows Command File                  *
rem  *           This program is provided by SimoTime Technologies            *
rem  *              (C) Copyright 1987-2021 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  * This procedure will perform the following conversion for multiple files.
rem  * 1. Read an ASCII-encoded, Line Sequential file having variable-length
rem  *    records with a maximum record length of eighty-bytes.
rem  * 2. Write an EBCDIC-encoded, Record Sequential file having eighty-byte,
rem  *    fixed-length records.
rem  * ************************************************************************
rem  * This procedure calls the following Windows Command Files or Programs.
rem  * 1. Env1Base.CMD - this provides a single point for setting commonly
rem  *                   used environment variables.
rem  * 2. SimoNOTE.CMD - this provides a consistent process for displaying
rem  *                   messages to the screen and writing to a journal or
rem  *                   log file.
rem  * 3. DIR Command  - this will create a file that is a list of all the
rem  *                   Cobol program in the specified directory.
rem  * 4. FOR Command  - for each of the file names in the list file perform
rem  *                   the following actions.
rem  *                 - Do the file content conversion between EBCDIC & ASCII
rem  *                 - Do the file format conversion between Line Sequential
rem  *                   and Record Sequential.
rem  * ************************************************************************
     set CmdName=ALER80E1
     call ..\Env1BASE %CmdName%
rem  *
     call SimoNOTE "*******************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName ALER80E2.CMD"
     DIR /on /b /a-d %BaseLib1%\DataLibA\CblAsc\*.CBL>ListCobolSourceCode.TXT
rem  *
     FOR /F %%i in (ListCobolSourceCode.TXT) do (set GETLS080=%BaseLib1%\DataLibA\CblAsc\%%i
                                                 set PUTRS080=%BaseLib1%\DataLibA\CblEbc\%%i
                                                 run CV80ALER)
     call SimoNOTE "Finished JobName %CmdName%.CMD"
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
