@echo OFF
     set CmdName=ERAR80E1
rem  * *******************************************************************
rem  *        This Job Script is provided by SimoTime Technologies       *
rem  *           (C) Copyright 1987-2021 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * This procedure will perform the following conversion for a single file.
rem  * 1. Read an EBCDIC-encoded, Record Sequential file having eighty-byte,
rem  *    fixed-length records.
rem  * 2. Write an ASCII-encoded, Record Sequential file having eighty-byte,
rem  *    fixed-length records.
rem  * ************************************************************************
rem  * This procedure calls the following Windows Command Files or Programs.
rem  * 1. Env1BASE.CMD - this provides a single point for setting commonly
rem  *    used environment variables.
rem  * 2. SimoNOTE.CMD - this provides a consistent process for displaying
rem  *    messages to the screen and writing to a journal or log file.
rem  * 3. RUN CV80ERAR - For the specified file perform the following actions.
rem  *                 - Do the file content conversion between EBCDIC & ASCII
rem  *                 - Do the file format conversion between Line Sequential
rem  *                   and Record Sequential.
rem  * ************************************************************************
     call ..\Env1BASE
rem  *
     call SimoNOTE "*******************************************************************************%CmdName%.CMD"
     call SimoNOTE "* JOB_STEP 01 of 03, Preparing the System and Job Environments"
     set JobStatus=0
     set SYSOUT=%BASELIB1%\LOGS\SYSOUT_%CmdName%.txt
rem  *
     call SimoNOTE "* --------------------------------------------------------------------------- *"
     call SimoNOTE "* JOB_STEP 02 of 03, Convert EBC_RSEQ to ASC_RSEQ..."
     set GETRS080=%BASELIB1%\DATA\EBC1\SIMOTIME.DATADOIT.RS80EBC.DAT
     set PUTRS080=%BASELIB1%\DATA\ASC1\SIMOTIME.DATAERAR.RS80ASC.DAT
     call SimoNOTE "* DataTAKE is %GETRS080% "
     call SimoNOTE "* DataMAKE is %PUTRS080% "
     if exist %PUTRS080% erase %PUTRS080%
     run CV80ERAR
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0" goto :EOJTAG
     if not exist %PUTRS080% set JobStatus=0035
     if not "%JobStatus%" == "0" goto :EOJTAG
     goto :EOJTAG
:EOJTAG
     call SimoNOTE "* --------------------------------------------------------------------------- *"
     call SimoNOTE "* JOB_STEP 03 of 03, End of Job Processing..."
     if not "%JobStatus%" == "0" goto :EojNOK
:EojAOK
     call SimoNOTE "* Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNOK
     call SimoNOTE "* ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:End
     if not "%1" == "nopause" pause
     exit /B %JobStatus%
